Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.objectbase
Interface Probe

All Known Subinterfaces:
  ActiveGraph, ActiveOutFile, Averager, Entropy, MessageProbe, VarProbe

All Known Implementing Classes:
  MessageProbeImpl, VarProbeImpl

public interface Probe
extends SwarmObject, SwarmObjectS, ProbeConfig, ProbeConfigS

An abstract superclass of both VarProbe and MessageProbe.. A Probe is simply an object that contains pointers to an element (instance variable or message description) of another object. The Probe contains instance variables that describe the referent's class and type. It's actually an abstract class that is further subdivided into VarProbe and MessageProbe, which represent the two basic types of elements of any object. The Probes are collected into a ProbeMap and subsequently installed in the ProbeLibrary.

Method Summary
`java.lang.Object` | `clone(Zone aZone)` The clone: method returns a clone of the probe.
`java.lang.Class` | `getProbedClass()` The getProbedClass method returns the class of the object the probe points at as a Class pointer.
`java.lang.String` | `getProbedType()` The getProbedType method returns the typing of the probed variable or message.

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.objectbase.ProbeConfig
`getObjectToNotify, setObjectToNotify`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### clone

    public java.lang.Object clone(Zone aZone)

  The clone: method returns a clone of the probe. If the initial probe was created by Library Generation or by the default version of Object generation, the probe should be cloned prior to making changes to it to avoid having the changes affect the other potential users of the probe.

### getProbedClass

    public java.lang.Class getProbedClass()

  The getProbedClass method returns the class of the object the probe points at as a Class pointer.

### getProbedType

    public java.lang.String getProbedType()

  The getProbedType method returns the typing of the probed variable or message. The typing is represented using the string-format provided by the Objective-C runtime system.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD